<script>
export default { 
  created() {
    this.sendMessage("YESSS");
  },
  methods: {
    sendMessage(sendValue) {
      let value = null;
      if (sendValue == '') {
        value = document.querySelector("#message").value;
      } else {
        value = sendValue
      }
      const message = { call: 'sendValue', value: value }
      const iframe = document.querySelector("#myIframe");
      console.log("--------------------I sent the message")
      iframe.contentWindow.postMessage(message, "*");
    }
  }
}

</script>

<template>
  <div id="app">
    <h1>Hello App!</h1>    
    <div>
      <input id="message" type="text" />
      <button v-on:click="sendMessage">Send Message</button>
    </div>
    <iframe id="myIframe" src="http://10.44.124.184:8081/#/pc_revisioni" title="myIframe"
      style="position:fixed; width:100%; height:50%; border:none; margin:0; padding:0; overflow:hidden"></iframe>

  </div>
</template>

<style scoped></style>
